RegionAttributesType.EvictionAttributes.LruEntryCount (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.cache.configuration

## Class RegionAttributesType.EvictionAttributes.LruEntryCount

- java.lang.Object
- - org.apache.geode.cache.configuration.RegionAttributesType.EvictionAttributes.LruEntryCount

- Enclosing class:
    RegionAttributesType.EvictionAttributes

      public static class RegionAttributesType.EvictionAttributes.LruEntryCount
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="action" type="{http://geode.apache.org/schema/cache}enum-action-destroy-overflow" />
             <attribute name="maximum" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EnumActionDestroyOverflow` | `action`
    `protected java.lang.String` | `maximum`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LruEntryCount()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnumActionDestroyOverflow` | `getAction()` Gets the value of the action property.
    `java.lang.String` | `getMaximum()` Gets the value of the maximum property.
    `void` | `setAction(EnumActionDestroyOverflow value)` Sets the value of the action property.
    `void` | `setMaximum(java.lang.String value)` Sets the value of the maximum property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### action

          protected EnumActionDestroyOverflow action

    - #### maximum

          protected java.lang.String maximum

  - ### Constructor Detail

    - #### LruEntryCount

          public LruEntryCount()

  - ### Method Detail

    - #### getAction

          public EnumActionDestroyOverflow getAction()

      Gets the value of the action property. possible object is `EnumActionDestroyOverflow`

    - #### setAction

          public void setAction(EnumActionDestroyOverflow value)

      Sets the value of the action property. allowed object is `EnumActionDestroyOverflow`

    - #### getMaximum

          public java.lang.String getMaximum()

      Gets the value of the maximum property. possible object is `String`

    - #### setMaximum

          public void setMaximum(java.lang.String value)

      Sets the value of the maximum property. allowed object is `String`